]> git.sesse.net Git - mlt/blobdiff - src/modules/configure
Add xml_retain property support to xml module.
[mlt] / src / modules / configure
index 14031a8b1b58a561beb415a20b06729c85309e18..618619c6840428c47181888c60128b2466a26ad5 100755 (executable)
@@ -1,13 +1,13 @@
-#!/bin/bash
+#!/bin/sh
 
 # Clean up disables if not in help mode
 [ "$help" != "1" ] && rm -f disable-* producers.dat filters.dat transitions.dat consumers.dat
 
 # Create the make.inc file
-echo SUBDIRS = `find -type d -maxdepth 1 | grep -v CVS | grep -v "^.$" | sed 's/\.\///'` > make.inc
+echo SUBDIRS = `find . -maxdepth 1 -type d | grep -v .svn | grep -v "^.$" | sed 's/\.\///'` > make.inc
 
 # Iterate through arguments
-for i in $*
+for i in "$@"
 do
        case $i in
                --disable-* )   touch disable-${i#--disable-} ;;
@@ -17,13 +17,26 @@ done
 # Iterate through each of the components
 for i in *
 do
-       if [ -x $i/configure -a \( "$help" = "1" -o ! -f disable-$i \) ]
+       if [ -d $i -a \( "$help" = "1" -o ! -f disable-$i \) ]
        then
-               echo "Configuring modules/$i:"
-               pushd $i > /dev/null
-               ./configure $@
-               [ $? != 0 ] && exit 1
-               popd > /dev/null
+               if [ "$gpl" = "true" -o ! -f $i/gpl -o "$help" = "1" ]
+               then
+                       [ -f $i/Makefile -a "$help" = "0" ] && echo "Configuring modules/$i:"
+                       if [ -x $i/configure ]
+                       then
+                               olddir2=`pwd`
+                               cd $i
+                               ./configure "$@"
+                               [ $? != 0 ] && exit 1
+                               cd $olddir2
+                       elif [ -f $i/configure ]
+                       then
+                               echo "  configure script is not set executable!"
+                       fi
+               elif [ "$help" = "0" ]
+               then
+                       touch disable-$i
+               fi
        fi
 done